
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001-2004 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level3.core;

import org.w3c.dom.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
 *  Using isDefaultNamespace on a Element's new cloned Comment node, which has a namespace attribute 
 *  declaration without a namespace prefix in its parent Element node and  verify if the 
 *  value returned is true.
* @author IBM
* @author Neil Delima
* @see <a href="http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Node3-isDefaultNamespace">http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Node3-isDefaultNamespace</a>
*/
public final class nodeisdefaultnamespace15 extends DOMTestCase {

   /**
    * Constructor.
    * @param factory document factory, may not be null
    * @throws org.w3c.domts.DOMTestIncompatibleException Thrown if test is not compatible with parser configuration
    */
   public nodeisdefaultnamespace15(final DOMTestDocumentBuilderFactory factory)  throws org.w3c.domts.DOMTestIncompatibleException {
      super(factory);

    //
    //   check if loaded documents are supported for content type
    //
    String contentType = getContentType();
    preload(contentType, "hc_staff", true);
    }

   /**
    * Runs the test case.
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      Element bodyElem;
      Element elem;
      Comment comment;
      Comment clonedComment;
      boolean isDefault;
      Node appendedChild;
      NodeList bodyList;
      doc = (Document) load("hc_staff", true);
      bodyList = doc.getElementsByTagName("body");
      bodyElem = (Element) bodyList.item(0);
      elem = doc.createElementNS("http://www.w3.org/1999/xhtml", "p");
      comment = doc.createComment("Text");
      clonedComment = (Comment) comment.cloneNode(true);
      appendedChild = elem.appendChild(clonedComment);
      appendedChild = bodyElem.appendChild(elem);
      isDefault = clonedComment.isDefaultNamespace("http://www.w3.org/1999/xhtml");
      assertTrue("nodeisdefaultnamespace15", isDefault);
      }
   /**
    *  Gets URI that identifies the test.
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level3/core/nodeisdefaultnamespace15";
   }
   /**
    * Runs this test from the command line.
    * @param args command line arguments
    */
   public static void main(final String[] args) {
        DOMTestCase.doMain(nodeisdefaultnamespace15.class, args);
   }
}

